/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRESCARGOINTER                                           */
/* Tabela : PRESCARGOINTER                                                    */
/*                                                                            */
/* Criao:                                                                   */
/* 01/09/2009 - Tarcsio Dias Pereira                                         */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PRESCARGOINTER
BEFORE INSERT OR UPDATE OR DELETE
ON PRESCARGOINTER FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDCARGOINTERLOC,0) <> NVL(:NEW.CDCARGOINTERLOC,0)) OR
         (NVL(:OLD.CDPRESENTE,0) <> NVL(:NEW.CDPRESENTE,0)) THEN
	:NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                   VALUES ('PRESCARGOINTER', '', 'CDCARGOINTERLOC ='||:OLD.CDCARGOINTERLOC||';CDPRESENTE ='||:OLD.CDPRESENTE||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRESCARGOINTER MODIFY DTULTATU DEFAULT SYSDATE;